Bug 1992502 - select storage class dropdown fail when using CNV2.6.5
Summary: select storage class dropdown fail when using CNV2.6.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Yaacov Zamir
QA Contact: YaoJinbo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-11 08:56 UTC by Yaacov Zamir
Modified: 2021-10-18 17:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
fial to creat vm with CNV 2.6.5 (2.33 MB, image/gif)
2021-08-11 08:56 UTC, Yaacov Zamir
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9781 0 None None None 2021-08-11 08:58:53 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:09 UTC

Description Yaacov Zamir 2021-08-11 08:56:46 UTC
Created attachment 1813025 [details]
fial to creat vm with CNV 2.6.5

Description of problem:
On systems without storage profile CRD (e.g. CNV 2.6.5) forms using storag class dropdown will fail

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. on system with CNV-2.6.5
2. create virtual machine using wizard
3. choose a template without boot source
4. click next

Actual results:
page crash 

Expected results:
page default to default access and volume modes (because storage profile is missing)

Additional info:

Comment 1 Guohua Ouyang 2021-08-11 09:14:48 UTC
Below two bugs should be caused by the same reason:
https://bugzilla.redhat.com/show_bug.cgi?id=1991335
https://bugzilla.redhat.com/show_bug.cgi?id=1991337

Comment 3 YaoJinbo 2021-08-19 10:13:09 UTC
Verified on latest master

1. create virtual machine using wizard and choose a template without boot source
2. click next and go to Boot source page 

Select storage class dropdown success

Comment 6 errata-xmlrpc 2021-10-18 17:45:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.